org.apache.cassandra.utils

## Interface CloseableIterator<T>

All Superinterfaces:
  java.lang.AutoCloseable, java.io.Closeable, java.util.Iterator<T>

All Known Subinterfaces:
  IMergeIterator<In,Out>, ISSTableScanner, OnDiskAtomIterator

All Known Implementing Classes:
  BigTableScanner, BigTableScanner.EmptySSTableScanner, ColumnFamilyStore.AbstractScanIterator, KeyIterator, LazyColumnIterator, MergeIterator, ReducingKeyIterator, SSTableIdentityIterator

    public interface CloseableIterator<T>
    extends java.util.Iterator<T>, java.lang.AutoCloseable, java.io.Closeable

### Method Summary

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Methods inherited from interface java.io.Closeable

`close`